com.orsoncharts.graphics3d.swing

## Class ZoomInAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.orsoncharts.graphics3d.swing.ZoomInAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public class ZoomInAction
      extends javax.swing.AbstractAction

  An action that performs a zoom-in operation.
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  See Also:
    `ZoomOutAction`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZoomInAction(Panel3D panel, boolean fontAwesome)` Creates a new zoom-in action associated with the specified panel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)` Performs the zoom in action.
    `double` | `getZoomMultiplier()` Returns the zoom multiplier.
    `void` | `setZoomMultiplier(double multiplier)` Sets the zoom multiplier (the current viewing distance is multiplied by this factor to determine the new viewing distance).

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZoomInAction

          public ZoomInAction(Panel3D panel,
                              boolean fontAwesome)

      Creates a new zoom-in action associated with the specified panel.
      Parameters:
        `panel` - the panel (`null` not permitted).
        `fontAwesome` - if `true` an icon from Font Awesome is used for the action label, otherwise a regular text label is used.

  - ### Method Detail

    - #### getZoomMultiplier

          public double getZoomMultiplier()

      Returns the zoom multiplier. The default value is `95 / 100` (the inverse of the multiplier in the `ZoomOutAction`).
      Returns:
        The zoom multiplier.
      Since:
        1.3

    - #### setZoomMultiplier

          public void setZoomMultiplier(double multiplier)

      Sets the zoom multiplier (the current viewing distance is multiplied by this factor to determine the new viewing distance).
      Parameters:
        `multiplier` - the new multiplier.
      Since:
        1.3

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Performs the zoom in action.
      Parameters:
        `e` - the action event.